<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 6.1.1 (Python 3.10.12 on win32)" generated="20231108 16:17:58.515" rpa="false" schemaversion="4">
<suite id="s1" name="Curaloginexe7" source="c:\Users\Formation\Desktop\Workspace\curaloginexe7.robot">
<test id="s1-t1" name="Passant" line="13">
<kw name="Goto cura" library="CuraLogin" type="SETUP">
<kw name="Open Browser" library="SeleniumLibrary">
<arg>${url}</arg>
<arg>${browser}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<msg timestamp="20231108 16:18:00.012" level="INFO">Opening browser 'chrome' to base url 'https://katalon-demo-cura.herokuapp.com'.</msg>
<status status="PASS" starttime="20231108 16:18:00.009" endtime="20231108 16:18:11.086"/>
</kw>
<kw name="Maximize Browser Window" library="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" starttime="20231108 16:18:11.099" endtime="20231108 16:18:11.382"/>
</kw>
<kw name="Wait Until Element Is Visible" library="SeleniumLibrary">
<arg>id:btn-make-appointment</arg>
<arg>timeout=10</arg>
<doc>Waits until the element ``locator`` is visible.</doc>
<status status="PASS" starttime="20231108 16:18:11.382" endtime="20231108 16:18:11.666"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>id:btn-make-appointment</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:11.671" level="INFO">Clicking element 'id:btn-make-appointment'.</msg>
<status status="PASS" starttime="20231108 16:18:11.668" endtime="20231108 16:18:12.551"/>
</kw>
<status status="PASS" starttime="20231108 16:18:00.007" endtime="20231108 16:18:12.553"/>
</kw>
<kw name="login" library="CuraLogin">
<arg>John Doe</arg>
<arg>ThisIsNotAPassword</arg>
<kw name="Wait Until Page Contains Element" library="SeleniumLibrary">
<arg>id:txt-username</arg>
<arg>timeout=10</arg>
<doc>Waits until the element ``locator`` appears on the current page.</doc>
<status status="PASS" starttime="20231108 16:18:12.613" endtime="20231108 16:18:13.051"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>id:txt-username</arg>
<arg>${login}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:13.055" level="INFO">Typing text 'John Doe' into text field 'id:txt-username'.</msg>
<status status="PASS" starttime="20231108 16:18:13.055" endtime="20231108 16:18:13.459"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>id:txt-password</arg>
<arg>${pwd}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:13.465" level="INFO">Typing text 'ThisIsNotAPassword' into text field 'id:txt-password'.</msg>
<status status="PASS" starttime="20231108 16:18:13.462" endtime="20231108 16:18:13.656"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>id:btn-login</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:13.663" level="INFO">Clicking element 'id:btn-login'.</msg>
<status status="PASS" starttime="20231108 16:18:13.656" endtime="20231108 16:18:14.183"/>
</kw>
<status status="PASS" starttime="20231108 16:18:12.607" endtime="20231108 16:18:14.184"/>
</kw>
<kw name="saisir formulaire" library="CuraLogin">
<kw name="Wait Until Element Is Visible" library="SeleniumLibrary">
<arg>id:combo_facility</arg>
<arg>timeout=10</arg>
<doc>Waits until the element ``locator`` is visible.</doc>
<status status="PASS" starttime="20231108 16:18:14.188" endtime="20231108 16:18:14.250"/>
</kw>
<kw name="Select From List By Label" library="SeleniumLibrary">
<arg>id:combo_facility</arg>
<arg>Hongkong CURA Healthcare Center</arg>
<doc>Selects options from selection list ``locator`` by ``labels``.</doc>
<msg timestamp="20231108 16:18:14.254" level="INFO">Selecting options from selection list 'id:combo_facility' by label Hongkong CURA Healthcare Center.</msg>
<status status="PASS" starttime="20231108 16:18:14.252" endtime="20231108 16:18:14.441"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>id:chk_hospotal_readmission</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:14.445" level="INFO">Clicking element 'id:chk_hospotal_readmission'.</msg>
<status status="PASS" starttime="20231108 16:18:14.442" endtime="20231108 16:18:14.526"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>id:radio_program_medicaid</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:14.526" level="INFO">Clicking element 'id:radio_program_medicaid'.</msg>
<status status="PASS" starttime="20231108 16:18:14.526" endtime="20231108 16:18:14.633"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>id:txt_visit_date</arg>
<arg>02/07/2022</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:14.635" level="INFO">Typing text '02/07/2022' into text field 'id:txt_visit_date'.</msg>
<status status="PASS" starttime="20231108 16:18:14.633" endtime="20231108 16:18:14.899"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>id:txt_comment</arg>
<arg>Ceci est un commentaire</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:14.901" level="INFO">Typing text 'Ceci est un commentaire' into text field 'id:txt_comment'.</msg>
<status status="PASS" starttime="20231108 16:18:14.900" endtime="20231108 16:18:15.366"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>id:btn-book-appointment</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:15.382" level="INFO">Clicking element 'id:btn-book-appointment'.</msg>
<status status="PASS" starttime="20231108 16:18:15.382" endtime="20231108 16:18:15.747"/>
</kw>
<kw name="Page Should Contain Element" library="SeleniumLibrary">
<arg>xpath=//h2[contains(text(),'Appointment Confirmation')]</arg>
<doc>Verifies that element ``locator`` is found on the current page.</doc>
<msg timestamp="20231108 16:18:15.887" level="INFO">Current page contains element 'xpath=//h2[contains(text(),'Appointment Confirmation')]'.</msg>
<status status="PASS" starttime="20231108 16:18:15.748" endtime="20231108 16:18:15.888"/>
</kw>
<status status="PASS" starttime="20231108 16:18:14.186" endtime="20231108 16:18:15.891"/>
</kw>
<kw name="go Homepage" library="CuraLogin">
<kw name="Click Element" library="SeleniumLibrary">
<arg>xpath=//a[contains(text(),'Go to Homepage')]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:15.903" level="INFO">Clicking element 'xpath=//a[contains(text(),'Go to Homepage')]'.</msg>
<status status="PASS" starttime="20231108 16:18:15.900" endtime="20231108 16:18:16.388"/>
</kw>
<status status="PASS" starttime="20231108 16:18:15.898" endtime="20231108 16:18:16.390"/>
</kw>
<kw name="Close Browser" library="SeleniumLibrary" type="TEARDOWN">
<doc>Closes the current browser.</doc>
<status status="PASS" starttime="20231108 16:18:16.413" endtime="20231108 16:18:21.995"/>
</kw>
<status status="PASS" starttime="20231108 16:17:59.999" endtime="20231108 16:18:21.995"/>
</test>
<test id="s1-t2" name="Non passant" line="18">
<kw name="Goto cura" library="CuraLogin" type="SETUP">
<kw name="Open Browser" library="SeleniumLibrary">
<arg>${url}</arg>
<arg>${browser}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<msg timestamp="20231108 16:18:22.010" level="INFO">Opening browser 'chrome' to base url 'https://katalon-demo-cura.herokuapp.com'.</msg>
<status status="PASS" starttime="20231108 16:18:22.010" endtime="20231108 16:18:30.604"/>
</kw>
<kw name="Maximize Browser Window" library="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" starttime="20231108 16:18:30.607" endtime="20231108 16:18:30.779"/>
</kw>
<kw name="Wait Until Element Is Visible" library="SeleniumLibrary">
<arg>id:btn-make-appointment</arg>
<arg>timeout=10</arg>
<doc>Waits until the element ``locator`` is visible.</doc>
<status status="PASS" starttime="20231108 16:18:30.781" endtime="20231108 16:18:30.881"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>id:btn-make-appointment</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:30.883" level="INFO">Clicking element 'id:btn-make-appointment'.</msg>
<status status="PASS" starttime="20231108 16:18:30.881" endtime="20231108 16:18:31.345"/>
</kw>
<status status="PASS" starttime="20231108 16:18:21.995" endtime="20231108 16:18:31.346"/>
</kw>
<kw name="login" library="CuraLogin">
<arg>John Doe</arg>
<arg>123</arg>
<kw name="Wait Until Page Contains Element" library="SeleniumLibrary">
<arg>id:txt-username</arg>
<arg>timeout=10</arg>
<doc>Waits until the element ``locator`` appears on the current page.</doc>
<status status="PASS" starttime="20231108 16:18:31.357" endtime="20231108 16:18:31.390"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>id:txt-username</arg>
<arg>${login}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:31.394" level="INFO">Typing text 'John Doe' into text field 'id:txt-username'.</msg>
<status status="PASS" starttime="20231108 16:18:31.391" endtime="20231108 16:18:31.750"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>id:txt-password</arg>
<arg>${pwd}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:31.754" level="INFO">Typing text '123' into text field 'id:txt-password'.</msg>
<status status="PASS" starttime="20231108 16:18:31.751" endtime="20231108 16:18:32.120"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>id:btn-login</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20231108 16:18:32.135" level="INFO">Clicking element 'id:btn-login'.</msg>
<status status="PASS" starttime="20231108 16:18:32.120" endtime="20231108 16:18:32.544"/>
</kw>
<status status="PASS" starttime="20231108 16:18:31.350" endtime="20231108 16:18:32.544"/>
</kw>
<kw name="saisir formulaire" library="CuraLogin">
<kw name="Wait Until Element Is Visible" library="SeleniumLibrary">
<arg>id:combo_facility</arg>
<arg>timeout=10</arg>
<doc>Waits until the element ``locator`` is visible.</doc>
<msg timestamp="20231108 16:18:38.209" level="WARN">Keyword 'Capture Page Screenshot' could not be run on failure: Message: no such window: target window already closed
from unknown error: web view not found
  (Session info: chrome=119.0.6045.106)
Stacktrace:
	GetHandleVerifier [0x00007FF6931182B2+55298]
	(No symbol) [0x00007FF693085E02]
	(No symbol) [0x00007FF692F405AB]
	(No symbol) [0x00007FF692F20038]
	(No symbol) [0x00007FF692FA6BC7]
	(No symbol) [0x00007FF692FBA15F]
	(No symbol) [0x00007FF692FA1E83]
	(No symbol) [0x00007FF692F7670A]
	(No symbol) [0x00007FF692F77964]
	GetHandleVerifier [0x00007FF693490AAB+3694587]
	GetHandleVerifier [0x00007FF6934E728E+4048862]
	GetHandleVerifier [0x00007FF6934DF173+4015811]
	GetHandleVerifier [0x00007FF6931B47D6+695590]
	(No symbol) [0x00007FF693090CE8]
	(No symbol) [0x00007FF69308CF34]
	(No symbol) [0x00007FF69308D062]
	(No symbol) [0x00007FF69307D3A3]
	BaseThreadInitThunk [0x00007FFB62367344+20]
	RtlUserThreadStart [0x00007FFB627826B1+33]
</msg>
<msg timestamp="20231108 16:18:38.262" level="FAIL">NoSuchWindowException: Message: no such window: target window already closed
from unknown error: web view not found
  (Session info: chrome=119.0.6045.106)
Stacktrace:
	GetHandleVerifier [0x00007FF6931182B2+55298]
	(No symbol) [0x00007FF693085E02]
	(No symbol) [0x00007FF692F405AB]
	(No symbol) [0x00007FF692F20038]
	(No symbol) [0x00007FF692FA6BC7]
	(No symbol) [0x00007FF692FBA15F]
	(No symbol) [0x00007FF692FA1E83]
	(No symbol) [0x00007FF692F7670A]
	(No symbol) [0x00007FF692F77964]
	GetHandleVerifier [0x00007FF693490AAB+3694587]
	GetHandleVerifier [0x00007FF6934E728E+4048862]
	GetHandleVerifier [0x00007FF6934DF173+4015811]
	GetHandleVerifier [0x00007FF6931B47D6+695590]
	(No symbol) [0x00007FF693090CE8]
	(No symbol) [0x00007FF69308CF34]
	(No symbol) [0x00007FF69308D062]
	(No symbol) [0x00007FF69307D3A3]
	BaseThreadInitThunk [0x00007FFB62367344+20]
	RtlUserThreadStart [0x00007FFB627826B1+33]
</msg>
<status status="FAIL" starttime="20231108 16:18:32.550" endtime="20231108 16:18:38.430"/>
</kw>
<kw name="Select From List By Label" library="SeleniumLibrary">
<arg>id:combo_facility</arg>
<arg>Hongkong CURA Healthcare Center</arg>
<doc>Selects options from selection list ``locator`` by ``labels``.</doc>
<status status="NOT RUN" starttime="20231108 16:18:38.432" endtime="20231108 16:18:38.432"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>id:chk_hospotal_readmission</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="NOT RUN" starttime="20231108 16:18:38.435" endtime="20231108 16:18:38.437"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>id:radio_program_medicaid</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="NOT RUN" starttime="20231108 16:18:38.439" endtime="20231108 16:18:38.439"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>id:txt_visit_date</arg>
<arg>02/07/2022</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="NOT RUN" starttime="20231108 16:18:38.440" endtime="20231108 16:18:38.441"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>id:txt_comment</arg>
<arg>Ceci est un commentaire</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="NOT RUN" starttime="20231108 16:18:38.442" endtime="20231108 16:18:38.443"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>id:btn-book-appointment</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="NOT RUN" starttime="20231108 16:18:38.445" endtime="20231108 16:18:38.446"/>
</kw>
<kw name="Page Should Contain Element" library="SeleniumLibrary">
<arg>xpath=//h2[contains(text(),'Appointment Confirmation')]</arg>
<doc>Verifies that element ``locator`` is found on the current page.</doc>
<status status="NOT RUN" starttime="20231108 16:18:38.447" endtime="20231108 16:18:38.448"/>
</kw>
<status status="FAIL" starttime="20231108 16:18:32.547" endtime="20231108 16:18:38.454"/>
</kw>
<kw name="go Homepage" library="CuraLogin">
<status status="NOT RUN" starttime="20231108 16:18:38.458" endtime="20231108 16:18:38.459"/>
</kw>
<kw name="Close Browser" library="SeleniumLibrary" type="TEARDOWN">
<doc>Closes the current browser.</doc>
<status status="PASS" starttime="20231108 16:18:38.464" endtime="20231108 16:18:40.896"/>
</kw>
<status status="FAIL" starttime="20231108 16:18:21.995" endtime="20231108 16:18:40.898">NoSuchWindowException: Message: no such window: target window already closed
from unknown error: web view not found
  (Session info: chrome=119.0.6045.106)
Stacktrace:
	GetHandleVerifier [0x00007FF6931182B2+55298]
	(No symbol) [0x00007FF693085E02]
	(No symbol) [0x00007FF692F405AB]
	(No symbol) [0x00007FF692F20038]
	(No symbol) [0x00007FF692FA6BC7]
	(No symbol) [0x00007FF692FBA15F]
	(No symbol) [0x00007FF692FA1E83]
	(No symbol) [0x00007FF692F7670A]
	(No symbol) [0x00007FF692F77964]
	GetHandleVerifier [0x00007FF693490AAB+3694587]
	GetHandleVerifier [0x00007FF6934E728E+4048862]
	GetHandleVerifier [0x00007FF6934DF173+4015811]
	GetHandleVerifier [0x00007FF6931B47D6+695590]
	(No symbol) [0x00007FF693090CE8]
	(No symbol) [0x00007FF69308CF34]
	(No symbol) [0x00007FF69308D062]
	(No symbol) [0x00007FF69307D3A3]
	BaseThreadInitThunk [0x00007FFB62367344+20]
	RtlUserThreadStart [0x00007FFB627826B1+33]
</status>
</test>
<doc>Un premier test d'accès à la page de login.</doc>
<status status="FAIL" starttime="20231108 16:17:58.533" endtime="20231108 16:18:40.917"/>
</suite>
<statistics>
<total>
<stat pass="1" fail="1" skip="0">All Tests</stat>
</total>
<tag>
</tag>
<suite>
<stat pass="1" fail="1" skip="0" id="s1" name="Curaloginexe7">Curaloginexe7</stat>
</suite>
</statistics>
<errors>
<msg timestamp="20231108 16:18:38.209" level="WARN">Keyword 'Capture Page Screenshot' could not be run on failure: Message: no such window: target window already closed
from unknown error: web view not found
  (Session info: chrome=119.0.6045.106)
Stacktrace:
	GetHandleVerifier [0x00007FF6931182B2+55298]
	(No symbol) [0x00007FF693085E02]
	(No symbol) [0x00007FF692F405AB]
	(No symbol) [0x00007FF692F20038]
	(No symbol) [0x00007FF692FA6BC7]
	(No symbol) [0x00007FF692FBA15F]
	(No symbol) [0x00007FF692FA1E83]
	(No symbol) [0x00007FF692F7670A]
	(No symbol) [0x00007FF692F77964]
	GetHandleVerifier [0x00007FF693490AAB+3694587]
	GetHandleVerifier [0x00007FF6934E728E+4048862]
	GetHandleVerifier [0x00007FF6934DF173+4015811]
	GetHandleVerifier [0x00007FF6931B47D6+695590]
	(No symbol) [0x00007FF693090CE8]
	(No symbol) [0x00007FF69308CF34]
	(No symbol) [0x00007FF69308D062]
	(No symbol) [0x00007FF69307D3A3]
	BaseThreadInitThunk [0x00007FFB62367344+20]
	RtlUserThreadStart [0x00007FFB627826B1+33]
</msg>
</errors>
</robot>
